package com.yeejoin.amos.boot.module.jxiop.biz.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.module.jxiop.biz.dto.IdxBizPvHealthIndexDto;
import com.yeejoin.amos.boot.module.jxiop.biz.entity.IdxBizPvHealthIndex;
import com.yeejoin.amos.boot.module.jxiop.biz.entity.IdxBizPvWarningRecord;
import com.yeejoin.amos.boot.module.jxiop.biz.mapper2.IdxBizPvHealthIndexMapper;
import com.yeejoin.amos.boot.module.jxiop.biz.service.IIdxBizPvHealthIndexService;
import org.springframework.stereotype.Service;
import org.typroject.tyboot.core.rdbms.service.BaseService;

import java.util.List;
import java.util.Map;

/**
 * 服务实现类
 *
 * @author system_generator
 * @date 2023-08-15
 */
@Service
public class IdxBizPvHealthIndexServiceImpl extends BaseService<IdxBizPvHealthIndexDto, IdxBizPvHealthIndex, IdxBizPvHealthIndexMapper> implements IIdxBizPvHealthIndexService {
    /**
     * 分页查询
     */
    public Page<IdxBizPvHealthIndexDto> queryForIdxBizPvHealthIndexPage(Page<IdxBizPvHealthIndexDto> page) {
        return this.queryForPage(page, null, false);
    }

    /**
     * 列表查询 示例
     */
    public List<IdxBizPvHealthIndexDto> queryForIdxBizPvHealthIndexList() {
        return this.queryForList("", false);
    }


    public List<Map<String,Object>> queryForLeftTableListByEquip(String STATION, String SUBARRAY, String HEALTHLEVEL, String EQUIPMENTNAME, Integer current, Integer size) {
        return this.getBaseMapper().queryForLeftTableListByEquip(STATION, SUBARRAY, HEALTHLEVEL,EQUIPMENTNAME,current,size);
    }
   public Map<String,Object>queryForLeftTableListByEquipNum(String STATION, String SUBARRAY, String HEALTHLEVEL, String EQUIPMENTNAME) {
        return this.getBaseMapper().queryForLeftTableListByEquipNum(STATION, SUBARRAY, HEALTHLEVEL,EQUIPMENTNAME);
    }

    public Map<String,Object>queryForLeftTableListByPointNum(String STATION, String SUBARRAY, String HEALTHLEVEL, String EQUIPMENTNAME,String POINTNAME) {
        return this.getBaseMapper().queryForLeftTableListByPointNum(STATION, SUBARRAY, HEALTHLEVEL, EQUIPMENTNAME,POINTNAME);
    }

    public  List<Map<String,Object>> queryForLeftTableListByPoint(String STATION, String SUBARRAY, String HEALTHLEVEL, String EQUIPMENTNAME,String POINTNAME,Integer current,Integer size) {
        return this.getBaseMapper().queryForLeftTableListByPoint(STATION, SUBARRAY, HEALTHLEVEL, EQUIPMENTNAME,POINTNAME,current,size);
    }

    public int queryForLeftTableListByPointCount(String STATION, String SUBARRAY, String HEALTHLEVEL, String EQUIPMENTNAME,String POINTNAME) {
        return this.getBaseMapper().queryForLeftTableListByPointCount(STATION, SUBARRAY, HEALTHLEVEL, EQUIPMENTNAME,POINTNAME);
    }

    public int queryForLeftTableListByEquipCount(String STATION, String SUBARRAY, String HEALTHLEVEL,String EQUIPMENTNAME) {
        return this.getBaseMapper().queryForLeftTableListByEquipCount(STATION, SUBARRAY, HEALTHLEVEL,EQUIPMENTNAME);
    }

    public int pointNum(String STATION, String SUBARRAY,String EQUIPMENTNAME) {
        return this.getBaseMapper().pointNum(STATION, SUBARRAY,EQUIPMENTNAME);
    }

    public  List<IdxBizPvWarningRecord> warningData(String STATION, String SUBARRAY , String EQUIPMENTNAME) {
        return this.getBaseMapper().warningData(STATION, SUBARRAY, EQUIPMENTNAME);
    }

    public List<Map<String,Object>>  selectPointByANALYSISTYPE(String STATION, String HEALTHLEVEL, String EQUIPMENTNAME, String POINTNAME, String SUBARRAY, String startTime, String endTime){

        return this.getBaseMapper().selectPointByANALYSISTYPE(STATION,HEALTHLEVEL,EQUIPMENTNAME,POINTNAME,SUBARRAY,startTime,endTime);
    };


}